apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  name: "keycloak-pg"
spec:
  instances: 3
  monitoring:
    enablePodMonitor: true
  bootstrap:
    initdb:
      database: bitnami_keycloak
      owner: keycloak
  postgresql:
    parameters:
      shared_buffers: 256MB
      pg_stat_statements.max: '10000'
      pg_stat_statements.track: all
      auto_explain.log_min_duration: '10s'
    pg_hba:
      - host all all 0.0.0.0/0 scram-sha-256
      - host all all ::1/128 scram-sha-256
  storage:
    size: 50Gi
    storageClass: ceph-block